%{?nodejs_find_provides_and_requires}

%global packagename brace-expansion
%global enable_tests 0

Name:		nodejs-brace-expansion
Version:	1.1.11
Release:	%mkrel 6
Summary:	Brace expansion as known from sh/bash
Group:          Development/Other

License:	MIT
# License text is at the bottom of README.md
URL:		https://github.com/juliangruber/brace-expansion.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	grep
%if 0%{?enable_tests}
BuildRequires:	npm(balanced-match)
BuildRequires:	npm(concat-map)
BuildRequires:	npm(tape)
%endif

%description
Brace expansion as known from sh/bash


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

# Create separate license file from the license information at the bottom of
# the README.md file
%{_bindir}/grep -A100 '^## License$' README.md > LICENSE.md


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}





%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.11-6.mga10
+ Revision: 2213912
- Mageia 10 Mass Rebuild

* Sat Apr 02 2022 umeabot <umeabot> 1.1.11-5.mga9
+ Revision: 1840685
- Mageia 9 Mass Rebuild

* Mon May 04 2020 joequant <joequant> 1.1.11-4.mga8
+ Revision: 1580105
- rebuild deps

* Wed Feb 12 2020 umeabot <umeabot> 1.1.11-3.mga8
+ Revision: 1502438
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.11-2.mga7
+ Revision: 1280169
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.1.11-1.mga7
+ Revision: 1225091
- Update to version 1.1.11

* Fri May 13 2016 joequant <joequant> 1.1.3-1.mga6
+ Revision: 1014918
- imported package nodejs-brace-expansion


* Fri Feb 12 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.3-1
- Update to upstream 1.1.3 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 17 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-1
- Update to upstream 1.1.2 release

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
